using C1.Xaml.Tile;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace ControlExplorer.Controls.Tile
{
    public partial class ContentSourceSample : UserControl
    {
        public ContentSourceSample()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler(OnLoaded);
        }

        private void OnLoaded(object sender, RoutedEventArgs e)
        {
            LoadContent();
        }

        private void LoadContent()
        {
            foreach (C1Tile tile in tilePanel.Children)
            {
                FlickrPhoto.Load((string)tile.Header, tile);
            }
        }

    }

}
